diff mbox series

[blktests,04/10] nvme/rc: introduce _have_tlshd_ver() and _have_systemd_tlshd_service()

Message ID 20250402070906.393160-5-shinichiro.kawasaki@wdc.com (mailing list archive)
State New
Headers show
Series nvme: test cases for TLS support | expand

Commit Message

Shinichiro Kawasaki April 2, 2025, 7:09 a.m. UTC
To run the newly introduced test cases for nvme-tcp TLS support, the
userland daemon tlshd and its systemctl service unit are required.
Confirm availability of tlshd and the systemctl service. Also check that
the tlshd version is larger than or equal to 1.0.0, which allows to
authenticate TLS sessions for nvme subsystem with the default
configurations.

Signed-off-by: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
---
 tests/nvme/rc | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)
diff mbox series

Patch

diff --git a/tests/nvme/rc b/tests/nvme/rc
index de68b31..9584610 100644
--- a/tests/nvme/rc
+++ b/tests/nvme/rc
@@ -597,3 +597,23 @@  _nvme_reset_ctrl() {
 _nvme_delete_ctrl() {
 	echo 1 > /sys/class/nvme/"$1"/delete_controller
 }
+
+# Check whether the version of the fio is greater than or equal to $1.$2.$3
+_have_tlshd_ver() {
+	_have_program tlshd || return $?
+
+	if _compare_three_version_numbers \
+		   "$(tlshd --version |& sed 's/.*utils \([0-9^.]*\).*/\1/')" \
+		   "$1" "$2" "$3"; then
+		SKIP_REASONS+=("tlshd version is older than ${1}.${2}.${3}")
+		return 1
+	fi
+	return 0
+}
+
+_have_systemd_tlshd_service() {
+	_have_tlshd_ver 1 0 0
+	if ! _have_systemctl_unit tlshd; then
+		SKIP_REASONS+=("Install ktls-utils for tlshd")
+	fi
+}